﻿using Microsoft.EntityFrameworkCore;

namespace MetlaDb
{
    public static class DataInitializer
    {
        public static void Seed(this ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Broom>().HasData
            (
                new Broom() { Id = 1, Model = "Nimbus 3000", Price = 420, Stock = 69 },
                new Broom() { Id = 2, Model = "Imbus 7", Price = 3, Stock = 46 },
                new Broom() { Id = 3, Model = "Rolling thunder", Price = 111, Stock = 3 },
                new Broom() { Id = 4, Model = "Invisible purple unicorn", Price = 777, Stock = 0 }
            );
        }
    }
}
