﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace MetlaDb.Migrations
{
    public partial class Init : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "Broom",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Model = table.Column<string>(type: "nvarchar(64)", maxLength: 64, nullable: true),
                    Price = table.Column<double>(type: "float", nullable: false),
                    Stock = table.Column<int>(type: "int", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Broom", x => x.Id);
                });

            migrationBuilder.InsertData(
                table: "Broom",
                columns: new[] { "Id", "Model", "Price", "Stock" },
                values: new object[,]
                {
                    { 1, "Nimbus 3000", 420.0, 69 },
                    { 2, "Imbus 7", 3.0, 46 },
                    { 3, "Rolling thunder", 111.0, 3 },
                    { 4, "Invisible purple unicorn", 777.0, 0 }
                });
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Broom");
        }
    }
}
